#Sketchup.send_action "showRubyPanel:"

dir = File.dirname(__FILE__)
# c:/program files/google/google sketchup 6/plugins/toolbars/files/

Sketchup.require File.join(dir, "sketchup", "/tvp.rbs")
#Sketchup.require File.join(dir, "sketchup", "/get_images.rbs")

scmddir = File.join(dir, "sketchup", "commands")
#tb_dir = File.join(dir, "Sketchup")
tb_dir = dir + "/.."
tbs = Dir[tb_dir + "/*.txt"]

tbs.each do |tb|
  name = File.basename(tb, ".txt")
  ttb = UI::Toolbar.new(name)

  IO.readlines(tb).each do |cmd|
    @cmd = nil
    cmd.strip!
    next if cmd[0, 1] == "#"
    cmd, cmt =  cmd.split("#")
    #cmd.chomp!
    next if cmd.nil?
    cmd.strip!
    #p cmd
    if cmd == "---"
      ttb.add_separator
      next
    end
    rb = File.join(scmddir, cmd + ".rb")
    if File.exists? rb
      load rb
      ttb.add_item @cmd if @cmd 
      next
    end
    @cmd = nil
  end

  #ttb.show
  state = ttb.get_last_state 
  if (state == TB_VISIBLE)
      ttb.restore
      UI.start_timer(0.1, false) { ttb.restore }
  end
end

#load File.join(dir, "user.rb")
#

#menu = UI.menu("Help").add_submenu("Custom Toolbars")
#menu.add_item("Commands") { UI.openURL( (File.join(dir, "commands.html")).gsub("/", "\\\\")) }
#menu.add_item("Browse Toolbars") { UI.openURL(dir) }
#menu.add_item("About") { UI.openURL(dir) }

