### usage TIG.explode_nested
module TIG
  def self.explode_nested(nested=false)
    model=Sketchup.active_model
   if nested
      gps=nested
   else ### from selection
      gps=model.selection.grep(Sketchup::Group)
   end
   gps.each{|gp|
      gp.entities.to_a.each{|e|
         if e.is_a?(Sketchup::Group)
            self.explode_nested([e])
            e.explode
         elsif e.is_a?(Sketchup::ComponentInstance)
            self.explode_nested([e.definition])
            e.explode
         end
      }
   }
  end
end#module

@cmd = UI::Command.new("ExplodeInside") {  TIG.explode_nested } 
  @cmd.small_icon = "../images/exp.png" 
  @cmd.large_icon = "../images/exp.png"
  @cmd.tooltip = "Lst alle selektierten Gruppen und Komponenten auf"